Last Comment Bug 745762 - double-conversion.h fails to compile on mingw
: double-conversion.h fails to compile on mingw
Status: RESOLVED FIXED
:
Product: Core
Classification: Components
Component: MFBT (show other bugs)
: Trunk
: x86 Windows 7
: -- normal (vote)
: mozilla15
Assigned To: Jacek Caban
:
:
Mentors:
Depends on:
Blocks: 614188
  Show dependency treegraph
 
Reported: 2012-04-16 08:37 PDT by Jacek Caban
Modified: 2012-04-29 13:54 PDT (History)
2 users (show)
ryanvm: in‑testsuite-
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
fix v1.0 (1.52 KB, patch)
2012-04-16 08:37 PDT, Jacek Caban
jwalden+bmo: review-
Details | Diff | Splinter Review
fix v1.1 (3.83 KB, patch)
2012-04-17 02:46 PDT, Jacek Caban
jwalden+bmo: review+
Details | Diff | Splinter Review

Description Jacek Caban 2012-04-16 08:37:48 PDT
Created attachment 615342 [details] [diff] [review]
fix v1.0

GCC doesn't like mixing dllexport/dllimport with inline implementation of class functions. It's safe to drop MFTB_API for such functions (other similar functions already do so).
Comment 1 Jeff Walden [:Waldo] (remove +bmo to email) 2012-04-16 12:49:15 PDT
Comment on attachment 615342 [details] [diff] [review]
fix v1.0

Review of attachment 615342 [details] [diff] [review]:
-----------------------------------------------------------------

Any changes we make to this code need to be properly integrated into mfbt/double-conversion/update.sh, please -- too easy for the code to become irreparably forked otherwise.  Please do that, then request review.  Thanks!
Comment 2 Jacek Caban 2012-04-17 02:46:10 PDT
Created attachment 615637 [details] [diff] [review]
fix v1.1

Oh, I missed the fact that it's imported this way. The attached patch fixes existing patch that adds MFTB_API. Verified by re-importing locally. I've also fixed update.sh script to use proper patch file name.
Comment 3 Jacek Caban 2012-04-27 02:42:11 PDT
Thanks for the review.

https://hg.mozilla.org/integration/mozilla-inbound/rev/546445acceae
Comment 4 Ryan VanderMeulen [:RyanVM] 2012-04-29 13:54:34 PDT
http://hg.mozilla.org/mozilla-central/rev/546445acceae

Note You need to log in before you can comment on or make changes to this bug.